filesystems/perfuse - The NetBSD Packages Collection

PUFFS Enabled Relay to FUSE

$NetBSD: DESCR,v 1.4 2019/02/25 00:52:07 manu Exp $

perfuse brings full FUSE support to NetBSD It has two components:
- a daemon that creates a /dev/fuse socket and that performs PUFFS
relay to FUSE.
- a library and a header file to use in filesystems and libraries that
open /dev/fuse, so that they are directed to the socket.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfperfuse-20190222.tgz
NetBSD 8.0earmv7hfperfuse-20190222.tgz
NetBSD 8.0earmv7hfperfuse-20190222.tgz
NetBSD 8.0i386perfuse-20190222.tgz
NetBSD 8.0i386perfuse-20190222.tgz
NetBSD 8.0i386perfuse-20190222.tgz
NetBSD 8.0powerpcperfuse-20190222.tgz
NetBSD 8.0powerpcperfuse-20190222.tgz
NetBSD 8.0powerpcperfuse-20190222.tgz
NetBSD 8.0x86_64perfuse-20190222.tgz
NetBSD 8.0x86_64perfuse-20190222.tgz
NetBSD 9.0aarch64perfuse-20190222.tgz
NetBSD 9.0aarch64perfuse-20190222.tgz
NetBSD 9.0aarch64perfuse-20190222.tgz
NetBSD 9.0alphaperfuse-20190222.tgz
NetBSD 9.0alphaperfuse-20190222.tgz
NetBSD 9.0alphaperfuse-20190222.tgz
NetBSD 9.0earmperfuse-20190222.tgz
NetBSD 9.0earmperfuse-20190222.tgz
NetBSD 9.0earmperfuse-20190222.tgz
NetBSD 9.0earmv6hfperfuse-20190222.tgz
NetBSD 9.0earmv6hfperfuse-20190222.tgz
NetBSD 9.0earmv6hfperfuse-20190222.tgz
NetBSD 9.0earmv6hfperfuse-20190222.tgz
NetBSD 9.0earmv7hfperfuse-20190222.tgz
NetBSD 9.0earmv7hfperfuse-20190222.tgz
NetBSD 9.0earmv7hfperfuse-20190222.tgz
NetBSD 9.0earmv7hfperfuse-20190222.tgz
NetBSD 9.0i386perfuse-20190222.tgz
NetBSD 9.0i386perfuse-20190222.tgz
NetBSD 9.0i386perfuse-20190222.tgz
NetBSD 9.0mips64ebperfuse-20190222.tgz
NetBSD 9.0mips64ebperfuse-20190222.tgz
NetBSD 9.0mips64ebperfuse-20190222.tgz
NetBSD 9.0mipselperfuse-20190222.tgz
NetBSD 9.0mipselperfuse-20190222.tgz
NetBSD 9.0powerpcperfuse-20190222.tgz
NetBSD 9.0powerpcperfuse-20190222.tgz
NetBSD 9.0sh3elperfuse-20190222.tgz
NetBSD 9.0sh3elperfuse-20190222.tgz
NetBSD 9.0sparc64perfuse-20190222.tgz
NetBSD 9.0sparc64perfuse-20190222.tgz
NetBSD 9.0sparc64perfuse-20190222.tgz
NetBSD 9.0sparc64perfuse-20190222.tgz
NetBSD 9.0sparcperfuse-20190222.tgz
NetBSD 9.0sparcperfuse-20190222.tgz
NetBSD 9.0sparcperfuse-20190222.tgz
NetBSD 9.0vaxperfuse-20190222.tgz
NetBSD 9.0vaxperfuse-20190222.tgz
NetBSD 9.0x86_64perfuse-20190222.tgz
NetBSD 9.0x86_64perfuse-20190222.tgz
NetBSD 9.0x86_64perfuse-20190222.tgz
NetBSD 9.0x86_64perfuse-20190222.tgz
NetBSD 9.0x86_64perfuse-20190222.tgz
NetBSD 9.0x86_64perfuse-20190222.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.